XSDDIAGRAM(1)

NAME
xsddiagram - Xml Schema Definition (XSD) diagram viewer

SYNOPSIS
XSDDiagram.exe [-o output.svg] [-os EXTENSION] [-r RootElement]* [-e N] [-z N] [-y] [-u USERNAME] [-p PASSWORD] [file.xsd or URL]

DESCRIPTION
XSD Diagram, version 0.16.0.0

-o FILE

    specifies the output image. '.png','.jpg', '.svg' ('.emf' on Windows) are allowed. If not present, the GUI is shown.

-os EXTENSION

    specifies the output image is streamed through the standard output. EXTENSION can be: png, jpg, svg. If not present, the GUI is shown.

-r ELEMENT

    specifies the root element of the tree. You can put several -r options = several root elements in the tree.

-e N

    specifies the expand level (from 0 to what you want). Be carefull, the result image can be huge.

-z N

    specifies the zoom percentage from 10% to 1000% (only for .png image). Work only with the '-o', '-os png' or '-os jpg' option.

-y

    force huge image generation without user prompt.

-u USERNAME

    specifies a username to authenticate when a xsd dependency (import or include) is a secured url.

-p PASSWORD

    specifies a password to authenticate when a xsd dependency (import or include) is a secured url.

Example 1: > XSDDiagramConsole.exe -o file.png -r TotoRoot -e 3 -z 200 ./folder1/toto.xsd

    will generate a PNG image from a diagram with a root element 'TotoRoot' and expanding the tree from the root until the 3rd level.

Example 2: > XSDDiagram.exe ./folder1/toto.xsd

    will load the xsd file in the GUI window.

Example 3: > XSDDiagram.exe -r TotoRoot -e 2 ./folder1/toto.xsd

    will load the xsd file in the GUI window with a root element 'TotoRoot' and expanding the tree from the root until the 2nd level.

Example 4: > XSDDiagramConsole.exe -os svg -r TotoRoot -e 3 ./folder1/toto.xsd

    will write a SVG image in the standard output from a diagram with a root element 'TotoRoot' and expanding the tree from the root until the 3rd level.